﻿namespace U2UConsult.WPF.DataBindingToEnum.ViewModels
{
    using System.ComponentModel;
    using System.Windows.Input;
    using Mvvm;

    public class MainViewModel : INotifyPropertyChanged
    {    
        private Reindeer reindeer;
        
        public event PropertyChangedEventHandler PropertyChanged;

        /// <summary>
        /// The bound enum property.
        /// </summary>
        public Reindeer Reindeer
        {
            get { return reindeer; }
            set {
                reindeer = value;
                this.PropertyChanged.Raise(this, o => o.Reindeer);
            }
        }

        public ICommand VoteCommand
        {
            get { return new DelegateCommand(Vote_Executed); }
        }

        /// <summary>
        /// Programmatic update of the property. 
        /// </summary>
        public void Vote_Executed(object o)
        {
            this.Reindeer = Reindeer.Rudolph;
        }
    }
}
